#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	tests		# unit tests

%define		module	lxml
Summary:	Python 2 binding for the libxml2 and libxslt libraries
Summary(pl.UTF-8):	Wiązanie Pythona 2 do bibliotek libxml2 i libxslt
Name:		python-%{module}
# keep 5.0.x here for python2 support
Version:	5.0.2
Release:	2
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/lxml/
Source0:	https://files.pythonhosted.org/packages/source/l/lxml/%{module}-%{version}.tar.gz
# Source0-md5:	d6ad8a1b8a013f47e6614752a8164431
URL:		https://lxml.de/
BuildRequires:	libxml2-devel >= 1:2.9.2
BuildRequires:	libxslt-devel >= 1.1.28
BuildRequires:	pkgconfig
BuildRequires:	python-Cython >= 3.0.9
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lxml is a Pythonic binding for the libxml2 and libxslt libraries.

%description -l pl.UTF-8
lxml to pythonowe wiązanie do bibliotek libxml2 i libxslt.

%package -n python3-%{module}
Summary:	Python 3 binding for the libxml2 and libxslt libraries
Summary(pl.UTF-8):	Wiązanie Pythona 3 do bibliotek libxml2 i libxslt
Group:		Libraries/Python

%description -n python3-%{module}
lxml is a Pythonic binding for the libxml2 and libxslt libraries.

%description -n python3-%{module} -l pl.UTF-8
lxml to pythonowe wiązanie do bibliotek libxml2 i libxslt.

%package apidocs
Summary:	lxml API documentation
Summary(pl.UTF-8):	Dokumentacja API modułu lxml
Group:		Documentation
BuildArch:	noarch

%description apidocs
lxml API documentation.

%description apidocs -l pl.UT8-8
Dokumentacja API modułu lxml.

%prep
%setup -q -n %{module}-%{version}

# force cython regeneration
%{__rm} src/lxml/{_elementpath.c,builder.c,etree.c,etree.h,etree_api.h,lxml.etree.h,lxml.etree_api.h,objectify.c,sax.c}

%build
%py_build

%if %{with tests}
install -d testdir-2/src/lxml
cd testdir-2/src/lxml
ln -snf ../../../build-2/lib.linux-*/lxml/* ../../../src/lxml/tests .
cd ../..
ln -snf ../doc ../samples ../test.py .
LC_ALL=C.UTF-8 \
%{__python} test.py -v
cd ..
%endif

%if %{with apidocs}
PYTHONPATH=$(echo $(pwd)/build-2/lib.linux-*) \
%{__python} doc/mkhtml.py doc/html $(pwd) %{version}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt CREDITS.txt LICENSE.txt LICENSES.txt README.rst TODO.txt doc/licenses/{BSD,elementtree}.txt
%dir %{py_sitedir}/lxml
%{py_sitedir}/lxml/*.pxi
%{py_sitedir}/lxml/*.py[co]
%{py_sitedir}/lxml/etree.pyx
%{py_sitedir}/lxml/objectify.pyx
%{py_sitedir}/lxml/etree*.h
%{py_sitedir}/lxml/lxml.etree*.h
%{py_sitedir}/lxml/includes
%{py_sitedir}/lxml/isoschematron
%attr(755,root,root) %{py_sitedir}/lxml/_elementpath.so
%attr(755,root,root) %{py_sitedir}/lxml/builder.so
%attr(755,root,root) %{py_sitedir}/lxml/etree.so
%attr(755,root,root) %{py_sitedir}/lxml/objectify.so
%attr(755,root,root) %{py_sitedir}/lxml/sax.so
%dir %{py_sitedir}/lxml/html
%{py_sitedir}/lxml/html/*.py[co]
%attr(755,root,root) %{py_sitedir}/lxml/html/clean.so
%attr(755,root,root) %{py_sitedir}/lxml/html/diff.so
%{py_sitedir}/lxml-%{version}-py*.egg-info

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%endif
%changelog
* Mon Jul 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-lxml.git;a=log;h=auto/th/python-lxml-5.0.2-2

* Sun Jul 13 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 6682512
- Release 2 (by relup.sh)

* Wed May 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 3334713
- python2 support note

* Wed May 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 02af8b8
- updated Cython version

* Fri Mar 14 2025 Jan Rękorajski <baggins@pld-linux.org> 3a1fc94
- up to 5.0.2, python3 moved to it's own package

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 1037b45
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 6ae1a3c
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> ce55952
- use patch -P

* Sat Sep 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 6e7ac2f
- updated to 4.9.3; force cython regeneration to fix python2 crashes

* Sat Sep 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 126b2eb
- updated to 4.9.2

* Sat Sep 23 2023 Jakub Bogusz <qboosh@pld-linux.org> ad6a70c
- rpm version for noarch subpackages

* Sat Sep 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 30ce582
- added Skip-failing-test-test_html_prefix_nsmap patch from Fedora (adjusted to work also with python2)

* Mon Sep 12 2022 Jakub Bogusz <qboosh@pld-linux.org> ec5415e
- updated to 4.9.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 978b8fb
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 325dcc7
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 2666e9c
- rebuild with python 3.10

* Sat Mar 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 9cafda4
- updated to 4.8.0

* Sat Nov 27 2021 Jan Rękorajski <baggins@pld-linux.org> 14fc75c
- up to 4.6.4

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 2bdb3f3
- rebuild with separate debuginfo build-ids

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> d50a3f3
- unconditional noarch subpackages

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 7e41332
- release 2 (by relup.sh)

